Index: base/src/port/portindex.tcl
===================================================================
RCS file: /Volumes/src/cvs/od/proj/darwinports/base/src/port/portindex.tcl,v
retrieving revision 1.20
diff -u -r1.20 portindex.tcl
--- base/src/port/portindex.tcl	14 Aug 2003 02:11:05 -0000	1.20
+++ base/src/port/portindex.tcl	16 Aug 2003 04:21:47 -0000
@@ -9,6 +9,9 @@
 # Globals
 set archive 0
 set depth 0
+set total 0
+set successfull 0
+set failed 0
 
 # UI Instantiations
 # ui_options(ports_debug) - If set, output debugging messages.
@@ -97,9 +100,11 @@
 }
 
 proc pindex {portdir} {
-    global target fd directory archive outdir
+    global target fd directory archive outdir successfull failed total
+    incr total
     if {[catch {set interp [dportopen file://[file join $directory $portdir]]} result]} {
         puts "Failed to parse file $portdir/Portfile: $result"
+	incr failed
     } else {        
         array set portinfo [dportinfo $interp]
         dportclose $interp
@@ -124,6 +129,7 @@
         set len [expr [string length $output] + 1]
         puts $fd "$portinfo(name) $len"
         puts $fd $output
+	incr successfull
     }
 }
 
@@ -191,3 +197,5 @@
 set fd [open [file join $outdir PortIndex] w]
 port_traverse pindex $directory
 close $fd
+puts "\nTotal number of ports parsed:\t$total\nPorts successfully parsed:\t$successfull \
+      \nPorts that failed:\t\t$failed\n"
